#!/bin/bash
##########################################
# File Name:20_check_type.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:案例20： 书写一个脚本通过read读取输入,判断输入数据类型（整数/浮点/字符串）
###########################################

#1. 获取输入
read -p "pls input: " input

#2. 检查输入非空
if [ -z "$input" ]; then
    echo "error Help: sh $0 input"
    exit 1
fi

#3. 判断数据类型
if [[ $input =~ ^[+-]?[0-9]+$ ]]; then           # 整数（含正负）
    echo "zhengshu"
elif [[ $input =~ ^[+-]?[0-9]+\.[0-9]+$ ]]; then  # 浮点数（含正负）
    echo "fudian"
elif [[ $input =~ ^[a-zA-Z0-9]+$ ]]; then        # 纯字母数字组合字符串
    echo "str"
else
    echo "unknown data"
fi
exit 0
